package com.fidufosyga.rules;

/**
 * 
 * @author Jsolano
 */
public class TernaDeCamposIgualesDep extends AbstractRule {
	// <validacion class="TernaDeCamposIgualesDep" params="9,N01,2,12,3,13,8"
	// Glosa="GE0098"/>

	public boolean performValidation(String field, String[] registro,
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (!codigoNovedad.equals((String) getParams()[1])) {
			return false;
		}

		String campo1 = field;
		String campo1a = registro[new Integer((String) getParams()[2])
				.intValue()];
		String campo2 = registro[new Integer((String) getParams()[3])
				.intValue()];
		String campo2a = registro[new Integer((String) getParams()[4])
				.intValue()];
		String campo3 = registro[new Integer((String) getParams()[5])
				.intValue()];
		String campo3a = registro[new Integer((String) getParams()[6])
				.intValue()];
		if (campo1.equals(campo1a) && campo2.equals(campo2a)
				&& campo3.equals(campo3a)) {
			return true;
		}

		return false;
	}

}